From 70d15088448f01a4c8ae6b4d0fe856fab94229a5 Mon Sep 17 00:00:00 2001
From: Amul Sul <amul.sul@enterprisedb.com>
Date: Wed, 22 Apr 2020 05:17:49 -0400
Subject: [PATCH] Remove unwanted assert check and a slight tweak to test.

---
 src/backend/commands/tablecmds.c     | 1 -
 src/test/regress/sql/foreign_key.sql | 8 ++++----
 2 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 037d457c3d4..5dddc20964f 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -9042,7 +9042,6 @@ CloneFkReferenced(Relation parentRel, Relation partitionRel)
 								   conpfeqop,
 								   conppeqop,
 								   conffeqop);
-		Assert(numfks == attmap->maplen);
 		for (int i = 0; i < numfks; i++)
 			mapped_confkey[i] = attmap->attnums[confkey[i] - 1];
 
diff --git a/src/test/regress/sql/foreign_key.sql b/src/test/regress/sql/foreign_key.sql
index c5c9011afcb..922d5d2c229 100644
--- a/src/test/regress/sql/foreign_key.sql
+++ b/src/test/regress/sql/foreign_key.sql
@@ -1214,7 +1214,7 @@ DROP TABLE fk_notpartitioned_pk, fk_partitioned_fk;
 
 -- Altering a type referenced by a foreign key needs to drop/recreate the FK.
 -- Ensure that works.
-CREATE TABLE fk_notpartitioned_pk (a INT, PRIMARY KEY(a), CHECK (a > 0));
+CREATE TABLE fk_notpartitioned_pk (a INT, PRIMARY KEY(a), CHECK (a > 0), c int);
 CREATE TABLE fk_partitioned_fk (a INT REFERENCES fk_notpartitioned_pk(a) PRIMARY KEY) PARTITION BY RANGE(a);
 CREATE TABLE fk_partitioned_fk_1 PARTITION OF fk_partitioned_fk FOR VALUES FROM (MINVALUE) TO (MAXVALUE);
 INSERT INTO fk_notpartitioned_pk VALUES (1);
@@ -1483,9 +1483,9 @@ drop schema fkpart0, fkpart1, fkpart2, fkpart3 cascade;
 CREATE SCHEMA fkpart3;
 SET search_path TO fkpart3;
 
-CREATE TABLE pk (a int PRIMARY KEY) PARTITION BY RANGE (a);
+CREATE TABLE pk (a int PRIMARY KEY, c int) PARTITION BY RANGE (a);
 CREATE TABLE pk1 PARTITION OF pk FOR VALUES FROM (0) TO (1000);
-CREATE TABLE pk2 (b int, a int);
+CREATE TABLE pk2 (b int, a int, c int);
 ALTER TABLE pk2 DROP COLUMN b;
 ALTER TABLE pk2 ALTER a SET NOT NULL;
 ALTER TABLE pk ATTACH PARTITION pk2 FOR VALUES FROM (1000) TO (2000);
@@ -1493,7 +1493,7 @@ ALTER TABLE pk ATTACH PARTITION pk2 FOR VALUES FROM (1000) TO (2000);
 CREATE TABLE fk (a int) PARTITION BY RANGE (a);
 CREATE TABLE fk1 PARTITION OF fk FOR VALUES FROM (0) TO (750);
 ALTER TABLE fk ADD FOREIGN KEY (a) REFERENCES pk;
-CREATE TABLE fk2 (b int, a int) ;
+CREATE TABLE fk2 (b int, a int, c int);
 ALTER TABLE fk2 DROP COLUMN b;
 ALTER TABLE fk ATTACH PARTITION fk2 FOR VALUES FROM (750) TO (3500);
 
-- 
2.18.0

